{
    "modules-left": [
        "custom/power",
        "custom/rofication",
        "keyboard-state",
        "niri/workspaces"
    ],
    "modules-center": [
        "niri/window"
    ],
    "modules-right": [
        "group/audio",
        "tray",
        "bluetooth",
        "clock#hour",
        "clock#minutes"
    ],
    "layer": "top",
    "position": "left",
    "width": 38,
    "spacing": 0,
    "custom/power": {
        "format": "",
        "on-click": "pkill rofi || rofi-power",
        "return-type": "json"
    },
    "custom/rofication": {
        "format": "{icon}",
        "format-icons": {
            "none": "",
            "some": "",
            "critical": "",
            "error": ""
        },
        "interval": 2,
        "on-click": "pkill rofication-gui || rofication-gui",
        "exec": "rofication-status",
        "return-type": "json"
    },
    "keyboard-state": {
        "numlock": true,
        "capslock": true,
        "format": {
            "numlock": "N{icon}",
            "capslock": "C{icon}"
        },
        "format-icons": {
            "locked": "",
            "unlocked": ""
        }
    },
    "niri/workspaces": {},
    "niri/window": {
        "format": "{}",
        "rotate": 90
    },
    "pulseaudio#main": {
        "format": "{icon}",
        "format-bluetooth": "{icon}\n",
        "format-icons": {
            "alsa_output.pci-0000_00_1f.3.analog-stereo": "",
            "alsa_output.pci-0000_00_1f.3.analog-stereo-muted": "",
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "phone-muted": "",
            "default": [
                "",
                "",
                ""
            ]
        },
        "format-muted": "",
        "scroll-step": 2,
        "on-click": "pavucontrol"
    },
    "pulseaudio#preview": {
        "format": "{volume}%"
    },
    "pulseaudio/slider": {
        "min": 0,
        "max": 100,
        "orientation": "vertical"
    },
    "group/audio": {
        "orientation": "vertical",
        "drawer": {
            "transition-left-to-right": false,
            "transition-duration": 200
        },
        "modules": [
            "pulseaudio#main",
            "pulseaudio#preview",
            "pulseaudio/slider"
        ]
    },
    "tray": {
        "icon-size": 20,
        "show-passive-items": true,
        "spacing": 3
    },
    "bluetooth": {
        "format": "",
        "format-connected": "",
        "tooltip-format": "{controller_alias}\t{controller_address}\n\n{num_connections} connected",
        "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
        "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
        "tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%"
    },
    "clock#hour": {
        "format": "{:%I}",
        "tooltip": true,
        "tooltip-format": "{:%Y-%m-%d}",
        "max-length": 5,
        "interval": 60
    },
    "clock#minutes": {
        "format": "{:%M}",
        "tooltip": true,
        "tooltip-format": "{:%Y-%m-%d}",
        "max-length": 5,
        "interval": 60
    }
}